<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
  <title>Thông tin học viên</title>
  <link
      href="https://res.cloudinary.com/dralhpdiv/image/upload/v1646628563/favicon.png"
      rel="shortcut icon"
      type="image/png"/>

  <meta charset="UTF-8">
  <meta content="width=device-width, initial-scale=1.0" name="viewport">
  <link crossorigin="anonymous"
        href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta3/dist/css/bootstrap.min.css"
        integrity="sha384-eOJMYsd53ii+scO/bJGFsiCZc+5NDVN2yr8+0RDqr0Ql0h+rP48ckxlpbzKgwra6"
        rel="stylesheet">
  <script crossorigin="anonymous"
          integrity="sha384-JEW9xMcG8R+pH31jmWH6WWP0WintQrMb4s7ZOdauHnUtxwoG2vI5DkLtS3qm9Ekf"
          src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta3/dist/js/bootstrap.bundle.min.js"></script>
  <link href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css"
        rel="stylesheet"/>
  <link href="/static/AdminUser.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<div class="d-flex" id="container">
  <div class="d-flex flex-column p-3 text-white bg-dark" id="sidebarMenuLeft">
    <a class="d-flex mb-3 mb-md-0 me-md-auto text-white text-decoration-none"
       href="/collaborator/home-statistic"
       style="margin: 0 auto">
      <img
          alt=""
          src="https://res.cloudinary.com/dralhpdiv/image/upload/v1646629370/logo_ACT.png"
          style="height: 5rem; object-fit: contain"/>
    </a>
    <hr>
    <ul class="nav nav-pills flex-column mb-auto" th:if="${admin.role == 'Cộng tác viên'}">
      <li class="nav-item">
        <a class="nav-link text-white" href="/collaborator/home-statistic">
          <i aria-hidden="true" class="fa fa-home"></i> &nbsp Trang chủ
        </a>
      </li>
      <li class="nav-item">
        <a class="nav-link text-white" href="/collaborator/person-info">
          <i aria-hidden="true" class="fa fa-info-circle"></i> &nbsp Thông tin cá nhân
        </a>
      </li>
      <li class="nav-item">
        <a class="nav-link text-white" href="/collaborator/admin-info">
          <i aria-hidden="true" class="fa fa-info-circle"></i> &nbsp Thông tin quản lý
        </a>
      </li>
      <li>
        <a class="nav-link text-white" href="/collaborator/user-management/page/1">
          <i aria-hidden="true" class="fa fa-user"></i> &nbsp&nbsp Danh sách học viên
        </a>
      </li>
      <li>
        <a class="nav-link text-white" href="/collaborator/class-management/page/1">
          <i aria-hidden="true" class="fa fa-users"></i> &nbsp Danh sách lớp học
        </a>
      </li>
      <li>
        <a class="nav-link text-white" href="/collaborator/news-management/page/1">
          <i aria-hidden="true" class="fa fa-newspaper-o"></i> &nbsp Danh sách tin tức
        </a>
      </li>
      <li>
        <a class="nav-link text-white" href="/">
          <i aria-hidden="true" class="fa fa-arrow-circle-o-left"></i> &nbsp Quay về trang web
        </a>
      </li>
      <li>
        <a class="nav-link text-white" href="/logout">
          <i aria-hidden="true" class="fa fa-sign-out"></i> &nbsp Đăng xuất
        </a>
      </li>
    </ul>
    <ul class="nav nav-pills flex-column mb-auto"
        th:if="${admin.role == 'Quản lý'} or ${admin.role == 'Giám đốc học viện'}">
      <li class="nav-item">
        <a class="nav-link text-white" href="/collaborator/home-statistic">
          <i aria-hidden="true" class="fa fa-home"></i> &nbsp Trang chủ
        </a>
      </li>
      <li class="nav-item">
        <a class="nav-link text-white" href="/manager/admin-info">
          <i aria-hidden="true" class="fa fa-info-circle"></i> &nbsp Thông tin quản lý
        </a>
      </li>
      <li class="nav-item">
        <a class="nav-link text-white" href="/manager/media-component">
          <i aria-hidden="true" class="fa fa-video-camera"></i> &nbsp Cài đặt media
        </a>
      </li>
      <li>
        <a class="nav-link text-white" href="/manager/collaborator-management/page/1">
          <i aria-hidden="true" class="fa fa-user-circle-o"></i> &nbsp Quản lý cộng tác viên
        </a>
      </li>
      <li>
        <a class="nav-link text-white" href="/collaborator/user-management/page/1">
          <i aria-hidden="true" class="fa fa-user"></i> &nbsp&nbsp Quản lý học viên
        </a>
      </li>
      <li>
        <a class="nav-link text-white" href="/manager/course-management/page/1">
          <i aria-hidden="true" class="fa fa-book"></i> &nbsp Quản lý khóa học
        </a>
      </li>
      <li>
        <a class="nav-link text-white" href="/collaborator/class-management/page/1">
          <i aria-hidden="true" class="fa fa-users"></i> &nbsp Quản lý lớp học
        </a>
      </li>
      <li>
        <a class="nav-link text-white" href="/collaborator/news-management/page/1">
          <i aria-hidden="true" class="fa fa-newspaper-o"></i> &nbsp Quản lý tin tức
        </a>
      </li>
      <li>
        <a class="nav-link text-white" href="/manager/job-management/page/1">
          <i aria-hidden="true" class="fa fa-briefcase"></i> &nbsp Quản lý tuyển dụng
        </a>
      </li>
      <li>
        <a class="nav-link text-white" href="/">
          <i aria-hidden="true" class="fa fa-arrow-circle-o-left"></i> &nbsp Quay về trang web
        </a>
      </li>
      <li>
        <a class="nav-link text-white" href="/logout">
          <i aria-hidden="true" class="fa fa-sign-out"></i> &nbsp Đăng xuất
        </a>
      </li>
    </ul>
    <hr>

  </div>
  <div class="flex-md-fill" id="content">
    <div class="d-flex justify-content-sm-between align-items-center" id="userInfo">
      <div class="d-flex justify-content-center align-items-center">
        <h5 style="margin: 0">Xin chào</h5> &nbsp;&nbsp; <img alt="" id="userImg"
                                                              th:src="${admin.img}"/>
        &nbsp;&nbsp; <h5 style="margin: 0" th:text="${admin.name} + ' - ' + ${admin.role}"></h5>
      </div>
      <h5 class="clock" id="MyClockDisplay" onload="showTime()" style="margin: 0"></h5>
    </div>
    <div id="userCheckInfo" th:object="${student}">
      <div class="row" style="margin-bottom: 18px">
        <div class="col-md-8 d-flex justify-content-center align-items-center">
          <h5 id="titleUserCheck">Thông tin học viên</h5>
        </div>
        <div class="col-md-4" style="text-align: center">
          <a class="btn btn-warning"
             th:href="@{/collaborator/get-update-user/{id} (id = ${student.id})}"
             th:if="${admin.role == 'Quản lý'} or ${student.createdBy == admin.name} or ${admin.role == 'Giám đốc học viện'}" type="button">
            Chỉnh sửa</a>
          <a class="btn btn-danger" th:href="@{/manager/delete-user/{id} (id = ${student.id})}"
             th:if="${admin.role == 'Quản lý'} or ${admin.role == 'Giám đốc học viện'}"
             type="button">Xóa</a>
        </div>
      </div>
      <div id="generalInformation">
        <hr>
        <h5 style="font-weight: bold"><i aria-hidden="true" class="fa fa-pencil"></i> &nbsp; Thông
          tin chung:</h5>
        <hr>
        <div class="row">
          <div class="col-md-6 d-flex justify-content-center align-items-center"
               style="object-fit: cover">
            <img alt="" id="courseImg" th:src="${student.img}"/>
          </div>
          <div class="col-md-6">
            <div class="row">
              <label class="col-sm-5 col-form-label" style="font-weight: bold">Họ và tên</label>
              <div class="col-sm-7 d-flex flex-column justify-content-center">
                <p style="margin: 0" th:text="${student.name}"></p>
              </div>
            </div>
            <div class="row">
              <label class="col-sm-5 col-form-label" style="font-weight: bold">Giới tính</label>
              <div class="col-sm-7 d-flex flex-column justify-content-center">
                <p style="margin: 0" th:text="${student.sex}"></p>
              </div>
            </div>
            <div class="row">
              <label class="col-sm-5 col-form-label" style="font-weight: bold">Ngày sinh</label>
              <div class="col-sm-7 d-flex flex-column justify-content-center">
                <p style="margin: 0"
                   th:text="${#temporals.format(student.dob, 'dd-MM-yyyy')}"></p>
              </div>
            </div>
            <div class="row">
              <label class="col-sm-5 col-form-label" style="font-weight: bold">Số điện thoại</label>
              <div class="col-sm-7 d-flex flex-column justify-content-center">
                <p style="margin: 0" th:text="${student.phone}"></p>
              </div>
            </div>
            <div class="row">
              <label class="col-sm-5 col-form-label" style="font-weight: bold">Email</label>
              <div class="col-sm-7 d-flex flex-column justify-content-center">
                <p style="margin: 0"
                   th:text="${student.email}"></p>
              </div>
            </div>
            <div class="row">
              <label class="col-sm-5 col-form-label" style="font-weight: bold">Địa chỉ</label>
              <div class="col-sm-7 d-flex flex-column justify-content-center">
                <p style="margin: 0; text-align: justify; padding-right: 2rem"
                   th:text="${student.address}"></p>
              </div>
            </div>
            <div class="row">
              <label class="col-sm-5 col-form-label" style="font-weight: bold">Công việc</label>
              <div class="col-sm-7 d-flex flex-column justify-content-center">
                <p style="margin: 0; text-align: justify; padding-right: 2rem"
                   th:text="${student.job}"></p>
              </div>
            </div>
            <div class="row">
              <label class="col-sm-5 col-form-label" style="font-weight: bold">
                Nơi học tập (làm việc)</label>
              <div class="col-sm-7 d-flex flex-column justify-content-center">
                <p style="margin: 0; text-align: justify; padding-right: 2rem"
                   th:text="${student.workplace}"></p>
              </div>
            </div>
            <div class="row">
              <label class="col-sm-5 col-form-label" style="font-weight: bold">
                Học viên tiêu biểu</label>
              <div class="col-sm-7 d-flex flex-column justify-content-center">
                <p style="margin: 0; text-align: justify; padding-right: 2rem"
                   th:text="${student.topStudent} ? 'Có' : 'Không'"></p>
              </div>
            </div>
            <div class="row">
              <label class="col-sm-5 col-form-label" style="font-weight: bold">Ngày tạo</label>
              <div class="col-sm-7 d-flex flex-column justify-content-center">
                <p style="margin: 0"
                   th:text="${#temporals.format(student.createdDate, 'dd-MM-yyyy')}"></p>
              </div>
            </div>
            <div class="row">
              <label class="col-sm-5 col-form-label" style="font-weight: bold">
                Feedback</label>
              <div class="col-sm-7 d-flex flex-column justify-content-center">
                <p style="margin: 0; text-align: justify; padding-right: 2rem"
                   th:text="${student.feedback}"></p>
              </div>
            </div>
          </div>
        </div>
      </div>
      <div id="listClass" th:if="${listClasses} != null">
        <hr>
        <h5 style="font-weight: bold; margin-bottom: 0">
          <i aria-hidden="true" class="fa fa-graduation-cap"></i>
          &nbsp; Danh sách lớp học tham gia:</h5>
        <hr>
        <table class="table">
          <thead>
          <tr>
            <th scope="col">STT</th>
            <th scope="col">CTV</th>
            <th scope="col">Lớp</th>
            <th scope="col">Giảng viên</th>
            <th scope="col">Trợ giảng</th>
            <th scope="col">Quản lý</th>
            <th scope="col">Ngày đăng ký</th>
            <th scope="col">Trạng thái</th>
          </tr>
          </thead>
          <tbody>
          <tr th:each='item, state : ${listClasses}'>
            <th scope="row">
              <a class="info"
                 th:href="@{/collaborator/class/{id}/student/page/1 (id = ${item.classCourse.id})}"
                 th:text="${pageId - 1} * ${size} + ${state.index + 1}"></a>
            </th>
            <td>
              <a class="info"
                 th:href="@{/collaborator/class/{id}/student/page/1 (id = ${item.classCourse.id})}"
                 th:text="${item.collaborator != null} ? ${item.collaborator.name} : ''"></a>
            </td>
            <td>
              <a class="info"
                 th:href="@{/collaborator/class/{id}/student/page/1 (id = ${item.classCourse.id})}"
                 th:text="${item.classCourse.name}"></a>
            </td>
            <td>
              <a class="info"
                 th:href="@{/collaborator/class/{id}/student/page/1 (id = ${item.classCourse.id})}"
                 th:text="${item.classCourse.teacherName}"></a>
            </td>
            <td>
              <a class="info"
                 th:href="@{/collaborator/class/{id}/student/page/1 (id = ${item.classCourse.id})}"
                 th:text="${item.classCourse.supporter.name}"></a>
            </td>
            <td>
              <a class="info"
                 th:href="@{/collaborator/class/{id}/student/page/1 (id = ${item.classCourse.id})}"
                 th:text="${item.classCourse.manager.name}"></a>
            </td>
            <td>
              <a class="info"
                 th:href="@{/collaborator/class/{id}/student/page/1 (id = ${item.classCourse.id})}"
                 th:text="${#temporals.format(item.createdDate, 'dd-MM-yyyy')}"></a>
            </td>
            <td>
              <a class="info"
                 th:href="@{/collaborator/class/{id}/student/page/1 (id = ${item.classCourse.id})}"
                 th:text="${item.classCourse.state}"></a>
            </td>
          </tr>
          </tbody>
        </table>
        <nav aria-label="Page navigation example" class="d-flex justify-content-center"
             th:if="${page} > 1">
          <ul class="pagination">
            <li class="page-item">
              <a aria-label="Previous" class="page-link" onclick="checkBehind()"
                 th:href="@{/collaborator/user/{id}/class/page/{pageId}(id = ${student.id}, pageId = ${pageId - 1})}">
                <span aria-hidden="true">&laquo;</span>
                <span class="sr-only">Previous</span>
              </a>
            </li>
            <li class="page-item" th:each="item : ${stt}">
              <a class="page-link"
                 th:href="@{/collaborator/user/{id}/class/page/{pageId}(id = ${student.id}, pageId = ${item})}"
                 th:text="${item}"></a>
            </li>
            <li class="page-item">
              <a aria-label="Next" class="page-link" onclick="checkForward()"
                 th:href="@{/collaborator/user/{id}/class/page/{pageId}(id = ${student.id}, pageId = ${pageId + 1})}">
                <span aria-hidden="true">&raquo;</span>
                <span class="sr-only">Next</span>
              </a>
            </li>
          </ul>
        </nav>
        <div class="caption">Bấm vào từng lớp học để xem chi tiết thông tin</div>
      </div>
    </div>
    <div id="footer">
      Copyright © ACTACAD 2021. All Rights Reserved
    </div>
  </div>
</div>
<script crossorigin="anonymous"
        integrity="sha384-KJ3o2DKtIkvYIK3UENzmM7KCkRr/rE9/Qpg6aAZGJwFDMVNA/GpGFF93hXpG5KkN"
        src="https://code.jquery.com/jquery-3.2.1.slim.min.js"></script>
<script crossorigin="anonymous"
        integrity="sha384-ApNbgh9B+Y1QKtv3Rn7W3mgPxhU9K/ScQsAP7hUibX39j7fakFPskvXusvfa0b4Q"
        src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.9/umd/popper.min.js"></script>
<script crossorigin="anonymous"
        integrity="sha384-JZR6Spejh4U02d8jOt6vLEHfe/JQGiRRSQQxSfFWpi1MquVdAyjUar5+76PVCmYl"
        src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/js/bootstrap.min.js"></script>
<script th:inline="javascript">
  function showTime() {
    var date = new Date();
    var h = date.getHours(); // 0 - 23
    var m = date.getMinutes(); // 0 - 59
    var s = date.getSeconds(); // 0 - 59
    var session = "AM";

    if (h == 0) {
      h = 12;
    }

    if (h > 12) {
      h = h - 12;
      session = "PM";
    }

    h = (h < 10) ? "0" + h : h;
    m = (m < 10) ? "0" + m : m;
    s = (s < 10) ? "0" + s : s;

    var time = h + ":" + m + ":" + s + " " + session;
    document.getElementById("MyClockDisplay").innerText = time;
    document.getElementById("MyClockDisplay").textContent = time;

    setTimeout(showTime, 1000);
  }

  showTime();

  const page = [[${page}]];
  const pageId = [[${pageId}]];

  function checkForward() {
    if (pageId + 1 > page) {
      event.preventDefault();
    }
  }

  function checkBehind() {
    if (pageId - 1 <= 0) {
      event.preventDefault();
    }
  }
</script>
</body>
</html>
